Package: org.grails.core.artefact

## [Java] Class ServiceArtefactHandler

- org.grails.core.artefact.ServiceArtefactHandler

-     public class ServiceArtefactHandler
      extends ArtefactHandlerAdapter

  Authors:
    Marc Palmer (marc@anyware.co.uk)

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `PLUGIN_NAME` |
    `static java.lang.String` | `TYPE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ArtefactHandlerAdapter` | `allowAbstract, artefactSuffix, grailsClassImpl, grailsClassType, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ServiceArtefactHandler ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `getPluginName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArtefactHandlerAdapter` | `getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefact, isArtefactClass, isArtefactGrailsClass, isArtefactResource, isValidArtefactClassNode, newArtefactClass`

- - ### Field Detail

    - #### public static final java.lang.String PLUGIN_NAME

    - #### public static final java.lang.String TYPE

  - ### Constructor Detail

    - #### public ServiceArtefactHandler()

  - ### Method Detail

    - #### @java.lang.Override public java.lang.String getPluginName()